import { Rule } from "@/components/rule";
import { Social } from "@/components/social";
import { Donate, HireMe, Socials } from "@/config/Socials";

const Contact = (): JSX.Element => {
  return (
    <>
      <main className="w-4/5 text-center max-w-4xl m-auto mt-16 mb-16 rounded-lg">
        <h1 className="text-5xl">Contact Us</h1>
        <p>
          We offer many different ways to get in touch with us. Use the buttons
          below to choose your preferred method.
        </p>
        <p>Note that the items are sorted alphabetically.</p>
        <Rule />
        <section>
          <div>
            {[HireMe, Donate].map(
              ({ link, label, alt, icon, color, background }) => (
                <Social
                  key={label}
                  link={link}
                  label={label}
                  alt={alt}
                  icon={icon}
                  color={color}
                  background={background}
                />
              ),
            )}
            {Socials.sort((a, b) => a.label.localeCompare(b.label)).map(
              ({ link, label, alt, icon, color, background }) => (
                <Social
                  key={label}
                  link={link}
                  label={label}
                  alt={alt}
                  icon={icon}
                  color={color}
                  background={background}
                />
              ),
            )}
          </div>
        </section>
      </main>
    </>
  );
};

export default Contact;
